function zeta = zetapart2(hs,r0,xi)

% ZETAPART(exoscale,r_exobase,xi) is Chamberlains partition function for 
%      the normalised inverse height xi and exobase scale height exoscale.
%      
%      HG 2002-12-03


a=1.5;
zetabalsat=(2/sqrt(pi))*gamma(a)*gammainc(xi,a);

xic = hs./r0;   % xi at exobase
psi1 = xi.^2./(xi+xic); % (7.1.37) in C&H
%    if (xi < xic)
        zetaesc = (1/sqrt(pi))*gamma(a)*( 1 - gammainc(xi,a) ...
               - sqrt(xic.^2-xi.^2)./xic ...
               .*exp(-psi1).*(1-gammainc(xi-psi1,a)) );
%    else
%        zetaesc=zeros(size(xi));               % avoid sqrt(neg)
%    end

zeta=real(zetabalsat + zetaesc);

